/*CSS Reset*/
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	font-family: "Open Sans", sans-serif;
}

/*nav bar*/

nav	{
	padding: 0.8rem;
	/*rem - root element's default font size (16px). .8rem = 80% of 16px = 12.8px

	You can also specify which side you will add a padding:
		padding-left: 0.8rem;
		padding-right:  0.8rem;
		padding-top:  0.8rem;
		padding-bottom: 0.8rem;
	*/
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
}

footer {
	padding: 0.7rem;
}

/*id selectors*/
#intro {
	padding-left: 10%;
	padding-right: 10%;
	/* % is used to make page more responsive. Our padding in left and right are now dependent on the width of the parent element */
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;
}

#succeed-info {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 2rem;
}

#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}


/*combinators*/
nav > ul {
	list-style-type: none;
}

/* .(class), multiple selector - allows us to use multiple selectors for one CSS rule set*/

nav .nav, nav .nav-logo {
	margin: 0.5rem;
	display: inline;
	/*display:  inline - allows us to change a block element into an element*/
}

#intro h2, #intro p {
	margin-bottom: 1rem;
}

#intro button {
	color:  white;
	/*font-weight allows us to determine the thickness of text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

#succeed-info h2 {
	margin-bottom: 1rem;
	text-align: center;

}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

#succeed-info .card {
	display: inline-block;
	vertical-align: top;
	min-height: 175px;
	width: 30%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
	/*border: 1px solid black;*/
}

#pre-footer > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

#pre-footer > div > * {
	margin-top: 0.3rem;
	margin-bottom: 0.3rem;
}

footer span {
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

.flex_container {
	display: flex;
	/*flex-direction: row-reverse;*/
	/*flex-direction: column;*/
	/*justify-content: center;*/
	/*justify-content: space-between;*/
	justify-content: space-around;
	/*flex-wrap: wrap;*/
	background-color: green;
}

.flex_item {
	width: 5rem;
	height: 5rem;
	background-color: aqua;
	border: 1px solid black;
}